curl --request POST \
--url https://prod01-apigw.{customer_name}.fabric.zone/api-cart/ship-to/v1/cart/{cartId} \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"shipToType": "SHIP_TO_ADDRESS",
"warehouseId": "123456abcdef123456abcdef",
"isPickup": true,
"shipMethod": 10002,
"taxCode": "FR1000",
"storeId": "TBD",
"pickupPerson": {
"name": {
"first": "John",
"last": "Smith"
},
"email": "johnsmith@fabric.inc"
},
"altPickupPerson": {
"name": {
"first": "John",
"last": "Smith"
},
"email": "johnsmith@fabric.inc"
}
}
'import requests
url = "https://prod01-apigw.{customer_name}.fabric.zone/api-cart/ship-to/v1/cart/{cartId}"
payload = {
"shipToType": "SHIP_TO_ADDRESS",
"warehouseId": "123456abcdef123456abcdef",
"isPickup": True,
"shipMethod": 10002,
"taxCode": "FR1000",
"storeId": "TBD",
"pickupPerson": {
"name": {
"first": "John",
"last": "Smith"
},
"email": "johnsmith@fabric.inc"
},
"altPickupPerson": {
"name": {
"first": "John",
"last": "Smith"
},
"email": "johnsmith@fabric.inc"
}
}
headers = {
"x-site-context": "<x-site-context>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-site-context': '<x-site-context>', 'Content-Type': 'application/json'},
body: JSON.stringify({
shipToType: 'SHIP_TO_ADDRESS',
warehouseId: '123456abcdef123456abcdef',
isPickup: true,
shipMethod: 10002,
taxCode: 'FR1000',
storeId: 'TBD',
pickupPerson: {name: {first: 'John', last: 'Smith'}, email: 'johnsmith@fabric.inc'},
altPickupPerson: {name: {first: 'John', last: 'Smith'}, email: 'johnsmith@fabric.inc'}
})
};
fetch('https://prod01-apigw.{customer_name}.fabric.zone/api-cart/ship-to/v1/cart/{cartId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"shipToType": "SHIP_TO_ADDRESS",
"warehouseId": "123456abcdef123456abcdef",
"isPickup": true,
"shipMethod": {
"shipMethodId": "1a2b3c4d5e6f7g8h9i0j",
"cost": {
"currency": "USD",
"amount": 5.99
},
"shipmentCarrier": "Fedex",
"shipmentMethod": "Next Day"
},
"taxCode": "FR1000",
"storeId": "TBD",
"pickupPerson": {
"name": {
"first": "John",
"last": "Smith"
},
"phone": {
"number": "123-456-7890",
"kind": "Mobile"
},
"email": "johnsmith@fabric.inc"
},
"altPickupPerson": {
"name": {
"first": "John",
"last": "Smith"
},
"phone": {
"number": "123-456-7890",
"kind": "Mobile"
},
"email": "johnsmith@fabric.inc"
},
"address": {
"attention": "Leave at the back door.",
"street1": "123 Main Street",
"street2": "ABC Boulevard",
"city": "Seattle",
"state": "WA",
"country": "United States of America",
"zipCode": "10008-1234",
"kind": "TBD",
"name": {
"first": "John",
"last": "Smith"
},
"phone": {
"number": "123-456-7890",
"kind": "Mobile"
},
"email": "johnsmith@fabric.inc"
},
"cartId": "5e5818a84d030c206b2ffb02",
"shipToId": 13812,
"_id": "5fee9d59f2f08a1b3cbdea08",
"createdAt": "2020-12-31T02:09:53.914Z",
"updatedAt": "2020-12-31T02:09:53.914Z"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "SHIPPING_METHOD_NOT_FOUND",
"message": "Shipping Method Not Found."
}{
"code": "<string>",
"message": "<string>"
}Create ship-to (v1)
Create ship-to (v1)
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Path Parameters
24"5e5818a84d030c206b2ffb02"
Body
Show child attributes
Show child attributes
BOPIS, SHIP_TO_STORE, SHIP_TO_ADDRESS, STORE_PICKUP "SHIP_TO_ADDRESS"
24"123456abcdef123456abcdef"
true
10002
"FR1000"
5 - 50"TBD"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Ship To Created
BOPIS, SHIP_TO_STORE, SHIP_TO_ADDRESS, STORE_PICKUP "SHIP_TO_ADDRESS"
24"123456abcdef123456abcdef"
true
Show child attributes
Show child attributes
"FR1000"
5 - 50"TBD"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
24"5e5818a84d030c206b2ffb02"
13812
"5fee9d59f2f08a1b3cbdea08"
"2020-12-31T02:09:53.914Z"
"2020-12-31T02:09:53.914Z"
Was this page helpful?
